Package: org.gradle.api.artifacts.component

## [Java] Interface ComponentIdentifier

- An opaque identifier for a component instance. There are various sub-interfaces that expose specific details about the identifier.

  Since:
    1.10

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this identifier.

- - ### Method Detail

    - #### public String getDisplayName()

      Returns a human-consumable display name for this identifier.

      Returns:
        Component identifier display name
      Since:
        1.10